> For the complete documentation index, see [llms.txt](https://docs.tako.so/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tako.so/monetization/open-curation/for-lens-dapp/contract-specification/view-functions.md).

# View Functions

## isBidTokenWhitelisted

Check whether the token accepts a certain bidType.

`function isBidTokenWhitelisted(address token) external view returns (bool)`

<table><thead><tr><th width="157.33333333333331">Parameters</th><th width="106">Type</th><th>Description</th></tr></thead><tbody><tr><td>token</td><td>address</td><td>The contract address of the token</td></tr></tbody></table>

## isRelayerWhitelisted

`function isRelayerWhitelisted(address wallet) external view returns (bool)`

<table><thead><tr><th width="157.33333333333331">Parameters</th><th width="106">Type</th><th>Description</th></tr></thead><tbody><tr><td>wallet</td><td>address</td><td>The address of relayer</td></tr></tbody></table>

## isGovernance

Verify if the address has governance privileges

`function isGovernance(address wallet) external view returns (bool)`

<table><thead><tr><th width="157.33333333333331">Parameters</th><th width="106">Type</th><th>Description</th></tr></thead><tbody><tr><td>wallet</td><td>address</td><td>The address of governance</td></tr></tbody></table>

## getContentByIndex

Get bid content by bid index.

`function getContentByIndex(uint256 index) external view returns (Content memory)`

<table><thead><tr><th width="158.33333333333331">Parameters</th><th width="106">Type</th><th>Description</th></tr></thead><tbody><tr><td>index</td><td>uint256</td><td>The index of content</td></tr></tbody></table>

## getBidCounter

Get the quantity of the bid

`function getBidCounter() external view returns (uint256)`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tako.so/monetization/open-curation/for-lens-dapp/contract-specification/view-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
